org.apache.xerces.impl.xs

## Class AbstractXPath2EngineImpl

- java.lang.Object
- - org.apache.xerces.impl.xs.AbstractXPath2EngineImpl

- Direct Known Subclasses:
    Test, XSAssertImpl

      public class AbstractXPath2EngineImpl
      extends java.lang.Object

  A class providing common services for XPath expression evaluation, using "Eclipse XPath 2.0" engine (https://www.eclipse.org/webtools).
  Version:
    $Id: AbstractXPath2EngineImpl.java 1893878 2021-10-04 11:08:11Z mukulg $
  Author:
    Mukul Gandhi, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXPath2EngineImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addNamespaceBindingToXPath2DynamicContext(java.lang.String prefix, java.lang.String uri)`
    `protected org.eclipse.wst.xml.xpath2.processor.ast.XPath` | `compileXPathStr(java.lang.String xpathStr, XSAssertImpl assertImpl, XSDHandler fSchemaHandler, org.w3c.dom.Element schemaContextElem)`
    `protected boolean` | `evaluateXPathExpr(org.eclipse.wst.xml.xpath2.processor.ast.XPath xpathObject, org.w3c.dom.Element contextNode)`
    `org.eclipse.wst.xml.xpath2.processor.DynamicContext` | `initXPath2DynamicContext(org.apache.xerces.xs.XSModel schema, org.w3c.dom.Document document, java.util.Map xpathEngineParams)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractXPath2EngineImpl

          public AbstractXPath2EngineImpl()

  - ### Method Detail

    - #### initXPath2DynamicContext

          public org.eclipse.wst.xml.xpath2.processor.DynamicContext initXPath2DynamicContext(org.apache.xerces.xs.XSModel schema,
                                                                                     org.w3c.dom.Document document,
                                                                                     java.util.Map xpathEngineParams)

    - #### addNamespaceBindingToXPath2DynamicContext

          protected void addNamespaceBindingToXPath2DynamicContext(java.lang.String prefix,
                                                       java.lang.String uri)

    - #### evaluateXPathExpr

          protected boolean evaluateXPathExpr(org.eclipse.wst.xml.xpath2.processor.ast.XPath xpathObject,
                                  org.w3c.dom.Element contextNode)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### compileXPathStr

          protected org.eclipse.wst.xml.xpath2.processor.ast.XPath compileXPathStr(java.lang.String xpathStr,
                                                                       XSAssertImpl assertImpl,
                                                                       XSDHandler fSchemaHandler,
                                                                       org.w3c.dom.Element schemaContextElem)

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.